/* Card Timeline */

.card-timeline {
    display: flex;
    flex-direction: column;
    gap: 15px;
    align-items: flex-start;
    width: 100%;
    height: 100%;
    justify-content: flex-end;
}

.card-timeline__year {
    font-family: 'Fira Sans', sans-serif;
    font-size: 35px;
    line-height: 35px;
    font-weight: 400;
    letter-spacing: -0.7px;
    color: #635A4D;
}

.card-timeline__body {
    display: flex;
    flex-direction: column;
    gap: 10px;
    background-color: #ECE8E5;
    border-radius: 15px;
    padding: 10px;
    width: 100%;
    color: #635A4D;
}

.card-timeline__image {
    width: 100%;
    border-radius: 10px;
    overflow: hidden;
}

.card-timeline__image img {
    width: 100%;
    height: auto;
    aspect-ratio: 430 / 241;
    object-fit: cover;
    display: block;
}

.card-timeline__content {
    padding: 10px;
}

.card-timeline__content p {
    font-size: 16px;
    line-height: 23px;
    color: var(--color-text-primary);
    opacity: 0.9;
    margin: 0;
}

/* Timeline Slider Overrides */
.card-slider-container.timeline-slider {
    --arrow-gradient-color: #F3F3F3;
    --arrow-button-color: var(--color-green);
}

.card-slider-container.timeline-slider .swiper-slide {
    width: 274px;
    align-items: flex-end;
}

@media (max-width: 768px) {
    .card-slider-container.timeline-slider .swiper-slide {
        width: 240px;
    }

    .card-timeline__year {
        font-size: 28px;
        line-height: 40px;
    }
}
